# 73. Query: gerasterte Daten mit dem ausgewählten Puffer abrufen

Abfrage zum Abruf von rasterbasierten Daten aus Datensätzen wie "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" mit dem ausgewählten Puffer.

{% hint style="danger" %}
Empfohlen wird, nur einen einzelnen Datensatz mit abzurufen `sourceDataUrl` pro Anfrage.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, und `MinusTwoPixels` sind verfügbar als ein `Puffer`.

{% hint style="danger" %}
`sourceDataUrl` Link ist nur erreichbar für **60 Sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    name
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      name
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/73.-query-gerasterte-daten-mit-dem-ausgewahlten-puffer-abrufen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
